Package Details: bit4id-ipki 1.4.3.303-1

Git Clone URL: https://aur.archlinux.org/bit4id-ipki.git (read-only)
Package Base: bit4id-ipki
Description: Bit4ID Universal Middleware (Smart Card driver)
Upstream URL: http://www.bit4id.com/
Keywords: bit4id
Licenses: unknown
Submitter: s.pantaleev
Maintainer: s.pantaleev
Last Packager: s.pantaleev
Votes: 2
Popularity: 0.017795
First Submitted: 2012-02-24 23:35
Last Updated: 2017-05-25 18:34

Latest Comments

s.pantaleev commented on 2017-08-04 09:57

@peshev, thanks!

Seems like there's trouble even with that patch.

Getting this error during the install:

ldconfig: Cannot mmap file /usr/lib/libbit4ipki.so.rc.

ldconfig: /usr/lib/libbit4ipki.so.conf is not an ELF file - it has the wrong magic bytes at the start.

peshev commented on 2017-07-05 09:36

I've introduced a couple of fixes in the PKGBUILD:
1. It doesn't actually build, since the data archive extension in the deb file changed from .tar.gz to tar.xz - that may be due to the .deb file changing, or might be due to a newer version of ar, or something else. In any case, I've modified it so that it accepts both a .tar.gz and a .tar.xz extension.
2. It doesn't work once the built package is installed. pkgbuild does symbol stripping on all binaries (executables and shared object files) by default -
that seems to break libbit4xpki.so for some arcane reason. The stripped version can't see any slots for the plugged in reader, and is basically useless.

The PKGBUILD patch follows:

diff --git a/PKGBUILD b/PKGBUILD
index 5770c2c..50fa194 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,6 +8,7 @@ arch=('i686' 'x86_64')
license=('unknown')
url="http://www.bit4id.com/"
install=$pkgname.install
+options=('!strip')

if [ "${CARCH}" = 'x86_64' ]; then
ARCH='amd64'
@@ -22,5 +23,5 @@ source=('http://repository.infonotary.com/install/linux/DEBS-2016-11-01/pool/non

package() {
ar -xv $_file_name || return 1
- tar -xvf data.tar.gz -C $pkgdir || return 1
+ tar -xvf data.tar.[xg]z -C $pkgdir || return 1
}

Glanceata commented on 2017-05-26 16:55

Thanks for the upgrade. But there seems to be a problem:

==> Download dei sorgenti in corso...
-> Download di bit4id-ipki_1.4.3.303-1_amd64.deb in corso...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 981k 100 981k 0 0 143k 0 0:00:06 0:00:06 --:--:-- 165k
==> Validazione di source file con md5sums...
bit4id-ipki_1.4.3.303-1_amd64.deb ... Verificato
==> Estrazione dei sorgenti in corso...
-> Estrazione di bit4id-ipki_1.4.3.303-1_amd64.deb usando bsdtar in corso...
==> Entro nell'ambiente fakeroot...
==> Avvio di package() in corso...
x - debian-binary
x - control.tar.gz
x - data.tar.xz
tar: data.tar.gz: funzione "open" non riuscita: File o directory non esistente
tar: Error is not recoverable: exiting now
==> ERRORE: Si è verificato un errore in package().
L'operazione sta per essere interrotta...
==> ERRORE: Makepkg non è riuscito a compilare bit4id-ipki.
==> Riavviare la compilazione di bit4id-ipki [s/N]

s.pantaleev commented on 2017-05-25 18:35

I have updated the package to 1.4.3.303 and fixed the download sources links at the same time.

Glanceata commented on 2017-05-20 16:46

I can't get to compile:
http://repository.infonotary.com/install/linux/DEBS/pool/non-free/b/bit4id/bit4id-ipki_1.2.15-1_i386.deb
seems to be not reachable.